#include <iostream>
using namespace std;

class myclass {
	int a, b;
public:
	myclass(int a, int b);
	int add(){return a + b;}
	void show();
};
myclass::myclass(int a, int b)
{
	cout << "myclass(int a,int b)コンストラクタ呼び出し\n";
	this->a = a;
	this->b = b;
}

void myclass::show()
{
	cout << "myclass::show()の呼び出し\n";
	cout << this->a << ' ' << this->b << "\n";
	int t = this->add();
	cout << t << "\n";
}

int main()
{
	int x,y;
	cout << "2つの整数を入力: ";
	cin >> x >> y;
	myclass ob(x, y);
	ob.show();
	
	return 0;
}